<mat-dialog-content>
  <mat-card *ngIf="!response">
    <mat-card-content>
      <mat-progress-spinner color="primary" mode="indeterminate">
      </mat-progress-spinner>
    </mat-card-content>
  </mat-card>

  <mat-card *ngIf="response">
    <mat-list>
      <mat-list-item><b>Payid:&nbsp;</b>{{ response.payid }}</mat-list-item>
      <mat-list-item><b>PurchaseId:&nbsp;</b>{{ response.purchaseId }}</mat-list-item>
      <mat-list-item><b>Shipping:&nbsp;</b>{{ response.shipping_type }}</mat-list-item>
      <mat-list-item><b>Status:&nbsp;</b>{{ response.status }}</mat-list-item>
    </mat-list>
  </mat-card>
</mat-dialog-content>
<mat-dialog-actions fxLayout="row" fxLayoutAlign="space-between center">
  <pm-pago-wallet-download></pm-pago-wallet-download>
  <div ng-show class="spinner-border text-info" role="status"></div>
  <button mat-raised-button color="primary" (click)="closeDialog()">
    Finish
  </button>
</mat-dialog-actions>
